from typedconfig import Config, key, section, group_key
from typedconfig.source import EnvironmentConfigSource, IniFileConfigSource

@section('tao')
class TaoConfig(Config):
    host = key(cast=str)
    port = key(cast=int)
    username = key(cast=str)
    password = key(cast=str)


class ParentConfig(Config):
    tao = group_key(TaoConfig)

config = ParentConfig()
config.add_source(EnvironmentConfigSource(prefix="CONCOURS"))
config.add_source(IniFileConfigSource("config.cfg"))
config.read()
